Display full version of the post: Flashing Block or Layer

duster88
02.11.2009, 18:15
Does anyone know if it is possible to make a Block or a layer flash on an AutoCad drawing in order to draw attention to it on plan?

CarlB
02.11.2009, 23:08
Yes it's possible.
 
 
.
.
.
but controlling when & why it flashes may not be so easy to implement.
Would probably be done with programming, so not possible in LT version.

Vladimir Michl
03.11.2009, 09:23
There are also other ways for drawing attention to drawing objects - selection highlighting, changing color temporarily, lineweights, etc.

duster88
03.11.2009, 21:02
I am using Cad 2009 full version. I want to be able to have the columns in a building drawing flash on command. Highlighting has not been quite what I am looking for.
 
ANy further help would be appreciated!
 
Thanks

CarlB
05.11.2009, 08:06
Here's a Q&D lisp routine to flash objects on a layer.The layer(s) to flash could be entered by user, or hard-coded. See what you think. Type "flash" to run it.[code](defun c:flash ()  (setvar "cmdecho" 0)  (setq Ename (car (entsel "\nSelect obj to flash layer: ")))  (setq Lay (cdr (assoc 8 (entget Ename))))  (setq LaySet (ssget "_X" (list (cons 8 lay))))  (while t     (sset_hl laySet 3)
     (redraw)     (command "._delay" "100")     (sset_hl laySet 4)
     (redraw)
     (command "._delay" "100")  )  (setvar "cmdecho" 0)  (princ))(defun sset_hl (sset_1 val)  (setq s_length (sslength sset_1))  (setq count 0)  (repeat s_length     (setq en (ssname sset_1 count))     (redraw en val)     (setq count (1+ count))  ))[/code]CarlB2009-11-06 02:36:53